<?
include_once ("base/lista.class.php");

class listas extends lista{
   

    function tabela($setas=false, $caixas=true){
            $max= sizeof($this->dados);
			$i=0;
            foreach($this->dados as $t){
    			$linkId='?idu=' . $t["id"];
                $linkEditar='<a href='. $linkId . "&cmd=listar";
                //$linkApagar='<a href="void(null)"';
                $linha=($i % 2)?"1":"0";
                echo '<tr class="linha' . $linha . '">';            
                foreach ($t as $l=>$c)
					echo "<td>" .$linkEditar . ">$c</a></td>";

				print '<td height="20" width=110 align="left">';
                echo "</td></tr>\n";        
				$i++;
    		}

    }

    function toolbars($showcat=false){
                
        $toolbar= new toolbar(); 
		$toolbar->ini();
		$toolbar->nav($this->req['offset'], $this->req['limit'], $this->req['total']);
		$toolbar->ini();
		$toolbar->procurar($this->req['procurar']);
		$toolbar->botao("procurar", 90);
		//$toolbar->botaoHelp($this->tipo,"", 90);
		$toolbar->fim();

    }
	
}
?>


